import org.hamcrest.Matcher;
import org.junit.Rule;
import org.junit.Test;

import org.junit.rules.Timeout;
import java.lang.reflect.Method;

import static org.hamcrest.Matchers.allOf;
import static org.hamcrest.MatcherAssert.assertThat;
import static org.hamcrest.number.OrderingComparison.greaterThan;
import static org.hamcrest.number.OrderingComparison.lessThan;

public class Aufgabe1Test {
    @Rule
    public Timeout globalTimeout = new Timeout(1000);

    void assertMultipleChoice(String which) throws Exception {
        Method method = Questions1.class.getDeclaredMethod(which);
        int answer = (Integer)method.invoke(null);
        assertThat("Antwort zu gross", answer, allOf(lessThan(2), greaterThan(-2)));
    }

    @Test
    public void testFrage1() throws Exception {
        assertMultipleChoice("x2112911");
        assertMultipleChoice("x2392311");
        assertMultipleChoice("x3838922");
        assertMultipleChoice("x39493922");
        assertMultipleChoice("x1223922");
    }
}
